const fs = require('fs');
const path = require('path');

function copyRecursively(file, destination) {
    const target = path.join(destination, path.basename(file));
    if (fs.statSync(file).isDirectory()) {
        console.log('mkdir', target);

        fs.mkdirSync(target, {recursive: true});
        fs.readdirSync(file).forEach(f => {
            copyRecursively(path.join(file, f), target);
        });
    } else {
        console.log('> cp ', target);

        fs.copyFileSync(file, target);
    }
}

module.exports = {
    copyRecursively,
};