const fs = require('fs');
const path = require('path');
const {copyRecursively} = require('./_functions.js');


[
    'yarn.lock',
    'README.md',
    'config/',
    'rollup.config.js',
].forEach(file => {
    copyRecursively(file, 'dist');
});

fs.mkdirSync('dist/types', {recursive: true});

fs.readdirSync('src/types').forEach(file => {
    copyRecursively(path.join('src/types', file), 'dist/types');
});

fs.readdirSync('src/assets').forEach(file => {
    copyRecursively(path.join('src/assets', file), 'dist/assets');
});
